/* MSAA C API example and test file.

   Use something like the following in your setup.py file.

   *****************
   from distutils.core import setup, Extension
   
   capi = Extension ("msaacapi",
                     sources=["msaacapi.cpp"],
                     language="c++")
   setupdata = {
       "name" :  "msaacapi",
       "version" : "test",
       "ext_modules" : [capi],
   }
   setup (**setupdata)

*/

#include <Python.h>
#include <papi/papi_msaa.h>

static PyObject*
_test_iaccessible (void)
{
    PyObject *iacc = PyIAccessible_New ();
    if (PyIAccessible_Check (iacc))
        return iacc;
    Py_DECREF (iacc);
    return NULL;
}

PyMODINIT_FUNC
initmsaacapi (void)
{
    int i = 0;
    PyObject *module, *func;
    static PyMethodDef methods[] = { 
       { "test_iaccessible", (PyCFunction) _test_iaccessible, METH_NOARGS, "" },
       { NULL, NULL, 0, NULL }
    };

    module = Py_InitModule3 ("msaacapi", NULL, "PAPI testing module.");
    while (methods[i].ml_name != NULL)
    {
        func = PyCFunction_New (&methods[i], NULL);
        PyObject_SetAttrString (module, methods[i].ml_name, func);
        i++;
    }
    /* First test :-) */
    import_msaa ();
}
